Subject: [PATCH 0/2] generalize {DEFINE|REF}_PROTO_INUSE was Re: [PATCH 0/4] NET : struct proto diet

From: "Arnaldo Carvalho de Melo" <[email-masked]>
Date: Wed, 7 Nov 2007 14:16:00 -0200

Em Mon, Nov 05, 2007 at 11:43:06PM -0800, David Miller escreveu:
> From: Eric Dumazet <[email-masked]>
> Date: Mon, 05 Nov 2007 18:52:32 +0100
> 
> > This patch series does some cleanup and optimization.
> > 
> > [PATCH 1/4] NET : defines an infrastructure to keep 'inuse' changes in 
> > an efficent SMP/NUMA way.
> > [PATCH 2/4] NET : makes ipv4 use the  {DEFINE|REF}_PROTO_INUSE 
> > infrastructure
> > [PATCH 3/4] NET : makes ipv6 use the  {DEFINE|REF}_PROTO_INUSE 
> > infrastructure
> > [PATCH 4/4] NET : makes sctp use the  {DEFINE|REF}_PROTO_INUSE 
> > infrastructure
> 
> Applied, and because I love DCCP I added the following
> patch on top.

Thank you dudes. I found it so nice that I can't help but wonder if this
wouldn't provide for an interesting "class", because this has nothing
that is specific to network protocols, struct proto is just one user...

Lemme try to do this right now:

David,

	Please consider pulling from:

master.kernel.org:/pub/scm/linux/kernel/git/acme/net-2.6

- Arnaldo